import 'package:flutter_test/flutter_test.dart';
import 'package:clx_flutter_util/clx_flutter_util.dart';
import 'package:clx_flutter_util/clx_flutter_util_platform_interface.dart';
import 'package:clx_flutter_util/clx_flutter_util_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockClxFlutterUtilPlatform
    with MockPlatformInterfaceMixin
    implements ClxFlutterUtilPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ClxFlutterUtilPlatform initialPlatform = ClxFlutterUtilPlatform.instance;

  test('$MethodChannelClxFlutterUtil is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelClxFlutterUtil>());
  });

  test('getPlatformVersion', () async {
    ClxFlutterUtil clxFlutterUtilPlugin = ClxFlutterUtil();
    MockClxFlutterUtilPlatform fakePlatform = MockClxFlutterUtilPlatform();
    ClxFlutterUtilPlatform.instance = fakePlatform;

    expect(await clxFlutterUtilPlugin.getPlatformVersion(), '42');
  });
}
